﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace OpenValueList
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            BindingSource source = new BindingSource();
            source.DataSource = GridInfo.GetGridInfo();

            this.ultraGrid1.DataSource = source;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            this.ultraGrid1.DisplayLayout.ValueLists.Add("Orders");
            this.ultraGrid1.DisplayLayout.ValueLists["Orders"].ValueListItems.Add(1, "Order1");
            this.ultraGrid1.DisplayLayout.ValueLists["Orders"].ValueListItems.Add(2, "Order2");
            this.ultraGrid1.DisplayLayout.ValueLists["Orders"].ValueListItems.Add(3, "Order3");
            this.ultraGrid1.DisplayLayout.ValueLists["Orders"].DisplayStyle = ValueListDisplayStyle.Default;

            this.ultraGrid1.DisplayLayout.Bands[0].Columns[2].ValueList = this.ultraGrid1.DisplayLayout.ValueLists["Orders"];

        }

        private void ultraGrid1_AfterCellActivate(object sender, EventArgs e)
        {
            if (ultraGrid1.ActiveCell.EditorResolved.SupportsDropDown)
            {
                ultraGrid1.PerformAction(UltraGridAction.EnterEditModeAndDropdown);
            }
        }


    }
}
